### Method

# Gdk ScrollEventget_unit

since: 4.8

#### Declaration [src]

    GdkScrollUnit
    gdk_scroll_event_get_unit (
      GdkEvent* event
    )

#### Description [src]

Extracts the scroll delta unit of a scroll event.

The unit will always be `GDK_SCROLL_UNIT_WHEEL` if the scroll direction is not `GDK_SCROLL_SMOOTH`.

Available since: 4.8

#### Return value

Type: `GdkScrollUnit`

The scroll unit.